﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BaileyStudent
{
    class StudentUI
    {
        Student s = new Student();
        public static String[] days = { "Sunday   :\t", "Monday   :\t", "Tuesday  :\t", "Wednesday: \t", "Thursday :\t", "Friday   :\t", "Saturday :\t" };

        public void MainMethod()
        {
            FillHours();
            Console.Clear();
            DisplayData();
            DisplayAverage();
        }

        public void FillHours()
        {
            Console.WriteLine("\n");
            for (int i = 0; i < Student.hours.Length; i++)
            {
                Console.Write("Enter the number of hours that you studied on {0}\t", days[i]);
                Student.hours[i] = double.Parse(Console.ReadLine());
                Student.total += Student.hours[i];
            }
        }

        public static void DisplayData()
        {
            Console.WriteLine("\n\nName:\t\t " + Student.name);
            Console.WriteLine("ID:\t\t " + Student.id);
            Console.WriteLine("\n\nThe number of hours you studied during the week are as follows:" + "\n");
            for (int i = 0; i < days.Length; i++)
            {
                Console.WriteLine("\t" + days[i] + "{0:0.00}", Student.hours[i]);
            }
            Console.WriteLine("\n\nYou studied a total of: {0:0.00} hours!", Student.total);

        }

        public void DisplayAverage()
        {
            s.CalculateAvg();
            Console.WriteLine("\nThe average number of hours studied per day is: {0:F2}", Student.avg);
            Console.ReadLine();
        }
    }
}
